#import <driverkit/IODevice.h>
#import <kernserv/kern_server_types.h>

kern_server_t NeoMagic_instance;

@interface NeoMagicKernelServerInstance : Object
{}
+ (kern_server_t *)kernelServerInstance;
@end

@implementation NeoMagicKernelServerInstance
+ (kern_server_t *)kernelServerInstance
{
	return &NeoMagic_instance;
}
@end

@interface NeoMagicVersion : IODevice
{}
+ (int)driverKitVersionForNeoMagic;
@end

@implementation NeoMagicVersion
+ (int)driverKitVersionForNeoMagic
{
	return IO_DRIVERKIT_VERSION;
}
@end

